p := 3;
h := 2;
q := p^h;
field := GF(q);
o := One(field);
mat := [[0,0,0,0,1],[0,0,0,1,0],[0,0,1,0,0],[0,0,0,0,0],[0,0,0,0,0]]*o;
form := QuadraticFormByMatrix(mat,field);
ps := PolarSpace(form);

sigma := p;
k := -Z(q);
vectors := Union(List(field,s->List(field,t->[o,s,t,k*s^p,-t^2-k*s^(sigma+1)])));;
Add(vectors,[0*o,0*o,0*o,0*o,o]);
ovoid := List(vectors,x->VectorSpaceToElement(ps,x));;

Collected(List(Lines(ps),x->Number(ovoid,y->y in x)));
Collected(List(Hyperplanes(AmbientSpace(ps)),x->Number(ovoid,y->y in x)));

group := SpecialIsometryGroup(ps);
stab := FiningSetwiseStabiliser(group,ovoid); #ongeveer 80 s.

