q := 2;
ps := HermitianPolarSpace(5,q^2);

vertices := List(Planes(ps));;

adj := function(x,y)
return ProjectiveDimension(Meet(x,y))=-1;
end;

group := CollineationGroup(ps);

act := OnProjSubspaces;

gamma := Graph(group,vertices,act,adj,true);;

mpss := CompleteSubgraphs(gamma);;
Length(mpss);

Collected(List(mpss,x->Length(x)));

mps9 := CompleteSubgraphsOfGivenSize(gamma,9,2,true);

mps7 := CompleteSubgraphsOfGivenSize(gamma,7,2,true);

