q := 5;
pg := PG(3,q);
group := ProjectivityGroup(pg);
g := First(group,x->Order(x)=q^2+q+1);
cyclic := Group(g);
orbits := FiningOrbits(cyclic,Points(pg));
List(orbits,x->Span(x));
set := First(orbits,x->Span(x)=pg);
Collected(List(Lines(pg),x->Number(set,y->y in x)));

# An orbit spanning PG(3,q) completely turns out to be the set
# of points of a surface of degree 3.
q := 9;
pg := PG(3,q);
group := ProjectivityGroup(pg);
g := First(group,x->Order(x)=q^2+q+1);
cyclic := Group(g);
orbits := FiningOrbits(cyclic,Points(pg));
List(orbits,x->Span(x));
set := First(orbits,x->Span(x)=pg);
Collected(List(Lines(pg),x->Number(set,y->y in x)));

q := 17;
pg := PG(3,q);
group := ProjectivityGroup(pg);
g := First(group,x->Order(x)=q^2+q+1);
cyclic := Group(g);
orbits := FiningOrbits(cyclic,Points(pg));
List(orbits,x->Span(x));
set := First(orbits,x->Span(x)=pg);
Collected(List(Lines(pg),x->Number(set,y->y in x)));
