e := 1;
q := 2^(2*e+1);
field := GF(q);
sigma := 2^(e+1);
o := One(field);
vectors := Union(List(field,s->List(field,t->[o,s*t+s^(sigma+2)+t^sigma,s,t])));;
Add(vectors,[0*o,o,0*o,0*o]);

pg := PG(3,q);
tits := List(vectors,x->VectorSpaceToElement(pg,x));;
intersection_numbers_of_lines := List(Lines(pg),x->Number(tits,y->y in x));;
Collected(intersection_numbers_of_lines);

intersection_numbers_of_planes := List(Planes(pg),x->Number(tits,y->y in x));;
Collected(intersection_numbers_of_planes);
tangent_planes := Filtered(Planes(pg),x->Number(tits,y->y in x)=1);;
Length(tangent_planes);

group := SpecialHomographyGroup(pg);
stab := FiningSetwiseStabiliser(group,tits); #will be around 146 s.

IsSimple(stab);
StructureDescription(stab);
