q := 5;
ps := ParabolicQuadric(4,q);

vertices := List(Points(ps));;

adj := function(x,y)
return x<>y and not IsCollinear(AmbientGeometry(x),x,y);
end;

group := CollineationGroup(ps);

act := OnProjSubspaces;

gamma := Graph(group,vertices,act,adj,true);;

ovoids := CompleteSubgraphsOfGivenSize(gamma,q^2+1,2,true);
ovoid := List(ovoids[1],x->VertexNames(gamma)[x]);
Span(ovoid);

List(Lines(ps),x->Number(ovoid,y->y in x));

mpos1 := CompleteSubgraphsOfGivenSize(gamma,q^2,2,true);

mpos2 := CompleteSubgraphsOfGivenSize(gamma,q^2-1,2,true);
max_partial_ovoid := List(mpos2[1],x->VertexNames(gamma)[x]);

skew_lines := Filtered(Lines(ps),x->Number(max_partial_ovoid,y->y in x)=0);
Span(skew_lines);
